/* Single product page */


div.product{
  .product_meta{
    @include clearfix;
  }

  // We have breadcrumbs. Remove the
  // categories from this section.
  .posted_in{
    display: none;
  }
}

// Specifically, this is the new header that
// spans the top of the single-product page
.single-product__header {

  margin-bottom: 1rem;
  @include wider-than( tablet ){
    margin-bottom: 5rem;
  }

  &--title {
    width: 100%;

    @include wider-than( tablet ){
      @include span( 7, 12 );
    }

    @include wider-than( desktop ){
      @include span( 8, 12 );
    }

    .product_title{
      line-height: 1;
    }
  }

  &--price {
    display: none;

    @include wider-than( tablet ) {
      @include span( 5, 12, $last:true );
      display: block;
      display: flex;
      flex-wrap: wrap;
      flex-direction: row;
    }

    @include wider-than( desktop ) {
      @include span( 4, 12, $last:true );
    }


    > div:first-child {
      width: 45%;
      flex: 1 0 6rem;
      float: left;
      padding-right: 1rem;

      &:only-child{
        padding-right: 0;
      }

      // .single-product__header--payment
      ~ div {
        float: right;
        width: 55%;
        flex: 1 0 6rem;
        border-left: 1px solid;
        padding: 0 0 0 1rem;
      }
    }

    // Price and the way it's shown
    .price{
      padding: 0;
      margin: 0;
      position: relative;
      text-align: right;
      line-height: 1;

      @at-root .woocommerce-price-suffix{
        text-align: right;
        color: $grey-darker;
        display: block;
      }

      > .amount {
        line-height: 1;
        font-size: 2.625rem;
        text-decoration: none;
      }

      del {
        font-size: 1rem;
        color: fade-out( $text, 0.5 );
        position: absolute;
        right: 0;
        top: -1rem;
        vertical-align: sub;
      }

      ins {
        line-height: 1;
        font-size: 2.625rem;
        color: $sale_background;
        text-decoration: none;
        font-weight: 700;
        letter-spacing: -0.1rem;
      }
    }
  }
}

.product-type-simple{

  .product_title{
    margin: 0;
  }

  [itemprop="offers"]{
    text-align: center;
    .price{
      margin-bottom: 0;
      font-size: 1.5rem;

      del{
        opacity: 0.7;
      }
      .woocommerce-price-suffix{
        text-align: center;
        font-size: 0.8125rem;
      }
    }
  }
}

.variations_form{
  [itemprop="offers"]{
    text-align: center;
    .price{
      margin-bottom: 0;
      font-size: 1.5rem;

      del{
        opacity: 0.7;
      }
      .woocommerce-price-suffix{
        text-align: center;
        font-size: 0.8125rem;
      }
    }
  }
}


/* Position the product image next to the meta / summary */
div.product {

  .image--container{
    position: relative;
    overflow: hidden;
    margin-bottom: 1rem;
    @include wider-than(tablet){
      @include span( 6, 12, 0.001rem );
    }

    img{
      max-width: 100%;
      height: auto;
    }
  }

  // Sale banner
  .onsale{
    background: $sale_background; // Variables.scss for colour changes
    color: $sale_colour;
    width: 10rem;
    right: -2rem;
    top: 2rem;
    display: block;
    text-align: center;
    transform: rotate(45deg);
    position: absolute;
    box-shadow: 0px 2px 5px -4px black;
    z-index: 10;
  }

  .summary{

    @include wider-than(tablet){
      @include span( 6, 12, 0.001rem, $last:true );
    }
  }
}

/* SKU and Meta */

.product_meta {
  > span { display: block; }
}


.wc-tabs {
  margin: 0;
  padding: 0;
  border-bottom: 1px solid;

  li {
    display: inline-block;

    a{
      padding: 1rem;
      display: block;
      text-decoration: none;
      color: $text;
    }

    &.active {
      a {
        border-left: 1px solid currentcolor;
        border-top: 1px solid currentcolor;
        border-right: 1px solid currentcolor;
        box-shadow: 0 2px 0 -1px white;
      }
    }
  }

  // Tabs container
  &-wrapper{
    padding-top: 4rem;
    width: 100%;
    clear: both;
    @include clearfix;
  }
}

.panel{
  padding-top: 1rem;
  @include wider-than( tablet ){ @include span( 8, 12 ); }
  @include wider-than( desktop ){ @include span( 6, 12 ); }
}


// THe variations are listed on a tab
.shop_attributes{
  width: 100%;
  text-align: left;

  p, td {
    font-size: 1rem;
    margin: 0;
    padding: 0;
  }
}


.single-product{
  .related.products{
    h2{
      text-align: center;
    }

    .products{
      text-align: center;
    }

    .product{
      text-align: left;
      @include count-is-less-than( 3 ){
        float: none;
        display: inline-block;
        vertical-align: top;
        margin-left: -3px;
      }
    }
  }
}